Bug 145796 - After installing libselinux-1.21.1-1, policycoreutils-1.21.1-1, and libsepol-1.2.1.1-1, avc: denied in dmesg
After installing libselinux-1.21.1-1, policycoreutils-1.21.1-1, and libsepol-...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 12:51 EST by sangu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: libselinux-1.21.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 10:26:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (20.10 KB, text/plain)
2005-01-21 12:51 EST, sangu
no flags Details

  None (edit)
Description sangu 2005-01-21 12:51:32 EST
Description of problem:
After installing libselinux-1.21.1-1, policycoreutils-1.21.1-1, and
libsepol-1.2.1.1-1, "avc: denied" happens in dmesg.

[...]
audit(1106323997.144:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.280:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.281:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.281:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.281:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.281:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.339:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.382:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1106323997.383:0): avc:  denied  { search } for  pid=3009
exe=/usr/sbin/dhcpd name=/ dev=tmpfs ino=606 scontext=user_u:system_r:dhcpd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
[...]

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.72.

How reproducible:
Always

Steps to Reproduce:
1. Install libselinux-1.21.1-1, policycoreutils-1.21.1-1, and libsepol-1.2.1.1-1.
2.
3.
  
Actual results:


Expected results:


Additional info:

dhcp-3.0.2rc3-1
Comment 1 sangu 2005-01-21 12:51:33 EST
Created attachment 110064 [details]
dmesg
Comment 2 sangu 2005-01-21 13:02:10 EST
My linux Box's policy is targeted.

$cat /etc/sysconfig/selinux
# This is a comment field in /etc/sysconfig/selinux
#
# Allowable values are:
#     enforcing  -  enables enforcing mode
#     permissive -  enables permissive mode
#     disabled   -  disables SELinux
SELINUX=Enforcing

# SELINUXTYPE= can take one of these two values:
#       targeted - Only targeted network daemons are protected.
#       strict - Full SELinux protection.
SELINUXTYPE=targeted
Comment 3 Daniel Walsh 2005-01-21 14:00:40 EST
Is this a machine that did not have SELinux on it before you added those packages.

If yes then you need to 
touch /.autorelabel 
reboot 

to label the file system.  If you can not login you can add 
enforcing=0 to the boot line to turn off SELinux enforcing mode.

Comment 4 sangu 2005-01-21 22:39:51 EST
After doing "touch /.autorelabel;reboot", the same problem happens.

But after installing old versions (libselinux-1.20.1-2
, policycoreutils-1.20.1-2,libsepol-1.2.1-1), this problem disappears.


Addition Info: 
Update to selinux-policy-targeted-1.17.30-2.73.

Note You need to log in before you can comment on or make changes to this bug.